package l16_streams;

import java.util.List;

public class Person {
	private String name;
	private int age;

	Person(String name, int age) {
		this.name = name;
		this.age = age;
	}

	public String name() {
		return name;
	}

	public int age() {
		return age;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setAge(int age) {
		this.age = age;
	}

	public static List<Person> createPersonList() {
		return List.of(
			new Person("Max", 18),
			new Person("Peter", 23),
			new Person("Pamela", 23),
			new Person("David", 12),
			new Person("John", 12));
	}

	@Override
	public String toString() {
		return name + ": " + age;
	}
}

